GDCM 3.2.1

Public Member Functions | Public Attributes | List of all members
gdcm::network::CEchoRQ Class Reference

CEchoRQ. More...

`#include <gdcmCEchoMessages.h>`

Inheritance diagram for gdcm::network::CEchoRQ:
[legend]
Collaboration diagram for gdcm::network::CEchoRQ:
[legend]

## Public Member Functions
std::vector< PresentationDataValue > | ConstructPDV (const ULConnection &inConnection, const BaseRootQuery *inRootQuery) override
Public Member Functions inherited from gdcm::network::BaseCompositeMessage
virtual | ~BaseCompositeMessage ()=default

## Public Attributes
UIComp | AffectedSOPClassUID
uint16_t | MessageID

## Detailed Description

CEchoRQ.

this file defines the messages for the cecho action

## Member Function Documentation

## ◆ ConstructPDV()

std::vector< PresentationDataValue > gdcm::network::CEchoRQ::ConstructPDV | ( | const ULConnection & | inConnection,
|  | const BaseRootQuery * | inRootQuery )
| override virtual

Implements gdcm::network::BaseCompositeMessage.

## Member Data Documentation

## ◆ AffectedSOPClassUID

UIComp gdcm::network::CEchoRQ::AffectedSOPClassUID

## ◆ MessageID

uint16_t gdcm::network::CEchoRQ::MessageID

The documentation for this class was generated from the following files:

- gdcmCEchoMessages.h
- gdcmDIMSE.h